> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/booking-calendar.md).

# Booking Calendar

In the daily schedule, all sports events are listed with a “live-odds” attribute.

This attribute lists the match-booking state and can be in the following states:&#x20;

* ***booked*** (already booked),
* ***bookable*** (can be booked),
* ***buyable*** (need to be bought before it can be booked, contact your sales representative), and
* ***unavailable*** (currently not available at all for live booking)

### Endpoint Description <a href="#uofapibookingcalendar-endpointdescription" id="uofapibookingcalendar-endpointdescription"></a>

This endpoint is used to book a match for live coverage.

This is only for live odds where a customer can request a booking of a particular match.

| **HTTP** | **Endpoint**                               | **Description**                                               |
| -------- | ------------------------------------------ | ------------------------------------------------------------- |
| POST     | liveodds/booking-calendar/events/(id)/book | POST on this endpoint to put a match in the booking calendar. |

### Endpoint Parameters <a href="#uofapibookingcalendar-endpointparameters" id="uofapibookingcalendar-endpointparameters"></a>

| Parameter | Description                                          |
| --------- | ---------------------------------------------------- |
| *id*      | The ID for the sport event to get fixture data from. |

### Example Response <a href="#uofapibookingcalendar-exampleresponse" id="uofapibookingcalendar-exampleresponse"></a>

```xml
<response response_code="OK">
    <action>Request for booking an event : sr:match:12345678 from bookmaker: 1234 received</action>
    <message>OK.</message>
</response>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/booking-calendar.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
